
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ecshop实现弹出登录框 / 憋错料</title>

    <meta name="description" content="ecshop实现弹出登录框 自从远通汽配商城上线到现在已经两个多月了,一个问题一直困扰着我,就是在未登录状态下,点击购买商品时,跳转到登录页面,登录后,又不能自动跳转到购物车页面,甚至连刚才浏览的商品都要重新回去查找,客户体验非常不好,在把小京东V4的注册页面整合到我们商城后,对整个系统的架构有了进一步的了解,于是就开始解决这个问题,经过两天的努力,终于实现了在未登录状态下,点击购买,弹出登录框,登录后,跳转到购物车页面.效果链接:http://www.ytpjsc.com/goods.php?id=719效果图如下:由于">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">ecshop实现弹出登录框</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>自从远通汽配商城上线到现在已经两个多月了，一个问题一直困扰着我，就是在未登录状态下，点击购买商品时，跳转到登录页面，登录后，又不能自动跳转到购物车页面，甚至连刚才浏览的商品都要重新回去查找，客户体验非常不好，在把小京东V4的注册页面整合到我们商城后，对整个系统的架构有了进一步的了解，于是就开始解决这个问题，经过两天的努力，终于实现了在未登录状态下，点击购买，弹出登录框，登录后，跳转到购物车页面。<br />效果链接：http://www.ytpjsc.com/goods.php?id=719<br />效果图如下：<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzg1ODYwNC8yMDE1MTIvODU4NjA0LTIwMTUxMjE2MTYxOTMwNjc3LTEwNjM4NDMwMTEucG5n.jpg" /><br />由于代码改动较大，不方便在此详细描述，故下文只列出了解决思路，给大家参考，如有不明白的，欢迎加我QQ:1805852961<br />1,模仿降价通知的库文件pricecut_notice.lbi，新建一个lbi文件，把里面降价通知的内容替换为登录内容，把它引入到goos.dwt文件里，<br />2，在goods.dwt里购买按钮的地方，用是否登录作为判断条件，未登录时，显示一个按钮，登录时显示一个按钮，按键样式一模一样；<br />3，未登录时的购买链接，模仿加入购入车的javascrtpt链接；复制加入购入车的javascript处理函数，改函数名，并在最后加一行<br />window.location.href="javascript:showDivLogin()";用来调出刚才新建的登录页面；<br />4，在刚才新建的lbi文件里，通过Ajax.call(‘flow.php?step=D***Login‘, ‘D***Users=‘ + $.toJSON(D***Users), GoodsLoginResponse, ‘POST‘, ‘JSON‘);的方式，把用户输入提交到flow.php处理；<br />5.在flow.php新增if ($_REQUEST[‘step‘] == ‘D***Login‘){}用来处理传过来的参数，并返回结果<br />6.在刚才新建的lbi文件里，通过GoodsLoginResponse，处理返回的结果，如果登录成功，跳转到订单确认页面；</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 14:20:29 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>ecshop实现弹出登录框的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/471vKb0.html" rel="bookmark">第一百三十三节，JavaScript，封装库--弹出登录框</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JavaScript,封装库--弹出登录框 封装库,增加了两个方法 yuan_su_ju_zhong()方法,将获取到的区块元素居中到页面,chuang_kou_shi_jian()方法,浏览器窗口事件,当窗口的大小变化时触发函数 /** yuan_su_ju_zhong()方法,将获取到的区块元素居中到页面, * 注意:使用此方法时,首先要在css里将目标区块设置成(绝对定位,position: absolute;) **/ feng_zhuang_ku.prototype.yuan_su_j			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bxe9v4.html" rel="bookmark">弹出登录框</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				案例弹出登录框 &lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quot;&gt; &lt;title&gt;Document&lt;/title&gt; &lt;style&gt; .login-header { width: 100%; text-align: center; height: 30px; font-size: 24px; line-heigh			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41eW6G4.html" rel="bookmark">【回顾整理】就是实现弹出登录框并且检验输入值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				代码: &lt;!DOCTYPE html&gt; &lt;head&gt; &lt;meta charset=&quot;utf-8&quot;&gt; &lt;title&gt;&lt;/title&gt; &lt;style&gt; #main{ width:300px; height:180px; background-color:#bebdbd; position: absolute; left:40%; top:30%; display:none; border:thick solid bla			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47zzDx3.html" rel="bookmark">JQuery&plus;CSS3实现封装弹出登录框效果</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:JQuery+CSS3实现封装弹出登录框效果 上次发了一篇使用Javascript来实现弹出层的效果,这次刚好用了JQuery来实现,所以顺便记录一下: 因为这次使用了Bootstrap来做一个项目,但是由于不使用Bootstrap自带的JS插件,所以这个弹出登录框就自己实现封装来调用,做出来的效果其实和Bootstrap自带的效果差不多.OK,看一下效果图: 其实很简单,首先是html结构: &lt;div id=&quot;mask&quot;&gt;&lt;/div&gt; &lt;!-- 半			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jg9ng3.html" rel="bookmark">win10锁屏或睡眠一段时间后弹不出登录框</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				win10锁屏或睡眠一段时间后弹不出登录框 文:铁乐与猫 通常发生在win10更新到10周年版后发生,也就是会卡在登录状态,但不见输入登录框. 我出现这种情况的时候不是很严重,一般等久些也能出现,但问题是这很闹心. 如果碰巧遇上重要或紧急事务要处理那更是遭心. 人无远虑,必有近忧. 总不能等到某天发生紧急事故,老板都站在你身后看你操作的时候而你在这个时候被win10的这个bug给挡在系统之外, 什么操作都不行,会给人一种什么感觉,那就是你到底行不行? 所以这个bug是一个很严重的炸弹,必需马上排			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBaAeq4.html" rel="bookmark">asp&period;net 后台代码跳转页面前弹出提示框</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Response.Write(&quot;&lt;script&gt;alert('查询语句执行出错!');window.location.href=DisplayData.aspx&lt;/script&gt;&quot;); 2.Page.RegisterStartupScript(&quot;msg&quot;, &quot;&lt;script&gt;alert('查询语句执行出错!');window.location.href='DisplayData.aspx'&lt;/script&gt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35188V3.html" rel="bookmark">基于jQuery鼠标点击弹出登陆框效果</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基于jQuery鼠标点击弹出登陆框效果.这是一款扁平样式风格的jQuery弹出层登陆框特效.效果图如下: 在线预览   源码下载 实现的代码. html代码: &lt;input type=&quot;button&quot; class=&quot;one&quot; value=&quot;点击我查看效果&quot; /&gt; &lt;div class=&quot;box&quot;&gt; &lt;div class=&quot;box2&quot;&gt; &lt;div class=&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bLEWp4.html" rel="bookmark">js弹出提示框并跳转页面</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.提示框有两个选择项,点确定跳转,取消停留在原页面ScriptManager.RegisterStartupScript(Page, this.GetType(), &quot;&quot;, &quot;&lt;script&gt;if(confirm('请登录?')){location.href='login.aspx'};&lt;/script&gt;&quot;, false); 2.提示框只有一个确定按钮,跳转到指定页面ScriptManager.RegisterStartupScript(p			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/74QZboM.html" rel="bookmark">【2017-05-02】winform弹出警告框是否进行增删改操作、记事本制作、对话框控件和输出输入流</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.winform弹出警告框是否进行增删改操作 第一个参数是弹出窗体显示的内容,第二个参数是标题,第三个参数是该弹窗包含确定和取消按钮. 返回的是一个枚举类接收一下. 再进行判断,如果点的是确定按钮,再进行下一步的增删改操作. 二.记事本的制作 1.菜单工具栏MenuStrip-插入标准项 2.TextBox -显示部分 小箭头 MultiLine 选中多行 Dock属性占满. 3.功能 - 撤销 - 剪切 - 粘贴 - 复制 - 删除 - 全选 - 时间 - 查找 单独做一个窗体点击打开 把主			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/gMWW6bM.html" rel="bookmark" class="title">黑客攻击常用CMD命令大全</a>
					<div>
						黑客常用命令大全net user heibai lovechina /add 加一个heibai的用户密码为lovechina net localgroup Administrators heibai ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEoq1y3.html" rel="bookmark" class="title">2015-7，第一期培训跟进表</a>
					<div>
						第一件事:请务必收藏本网页 培训地点:福州三中,图书馆楼,5层 培训守则: 1.学员每次培训,均需携带如下物品:水笔.荧光记号笔.纸质的笔记本.第一期培训教材. 2.不迟到,不早退,定位就座,严肃学习 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4APgrD3.html" rel="bookmark" class="title">ExtJS 4 组件详解</a>
					<div>
						ExtJS 4 的应用界面是由很多小部件组合而成的,这些小部件被称作&quot;组件(Component)&quot;,所有组件都是Ext.Component的子类,Ext.Component提供了生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBm2yK4.html" rel="bookmark" class="title">firefox</a>
					<div>
						setfacl -Rm u:pi:rwx /opt http://www.luckid.com/20100405273.html 11.04可以自动升级. 10.10可以安装deb包. 我给出的是64 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6NOwrM.html" rel="bookmark" class="title">ARM中MMU地址转换理解</a>
					<div>
						首先,我们要分清ARM CPU上的三个地址:虚拟地址(VA,Virtual Address).变换后的虚拟地址(MVA,Modified Virtual Address).物理地址(PA,Physic ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OavNrM.html" rel="bookmark" class="title">xml复习</a>
					<div>
						一.XML概述 1.XML是可扩展标记语言.是由W3C指定并维护的,目前最新的版本是1.0 2.XML作用: 2.1传输数据,它是一种通用的数据交换格式 2.2配置文件. 二.xml语法 1.XML的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MP8kOaM.html" rel="bookmark" class="title">python 打开文件对话框 filedialog tkinter GUI 编程</a>
					<div>
						- -读取文件的gui编程 1 # _*_ coding:utf-8 _*_ 2 3 import tkinter 4 from tkinter import filedialog 5 6 def o ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lG6kEM.html" rel="bookmark" class="title">实现随机验证码</a>
					<div>
						实现随机验证码 1 #生成随机验证码 2 import random 3 temp = &quot;&quot; 4 for i in range(6): 5 num = random.randran ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Kq2Vy4.html" rel="bookmark" class="title">【深入理解计算机系统03】程序的链接</a>
					<div>
						第三篇:程序的链接 &gt; 链接器的由来 高级语言出现之后,需要多人开发不同模块. 链接步骤: 1) 确定符号引用关系 确定符号的定义 2) 合并相关.o文件 同一地址空间,安排虚拟地址空间 3)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXQvvw0.html" rel="bookmark" class="title">看片的网站你们懂的</a>
					<div>
						看片的网站你们懂的!怎么才能看岛国片呢?以前都是用快.播看的,自从快.播被封掉之后,我们怎么才能看哪种片呢?怎么才能看哪种大人片.其实还是有方法看的,不过很多人都不知道这个方法. 如果大家还想看哪种大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35qOno3.html" rel="bookmark" class="title">jkgaksdqwuigaksdgbasf</a>
					<div>
						https://www.kickstarter.com/profiles/1042086895/bio https://www.kickstarter.com/profiles/1029718070/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyWQ6p3.html" rel="bookmark" class="title">安卓软件版本更新</a>
					<div>
						public class MainActivity extends Activity { private static final String DOWNLOAD_ADDRESS = &quot;ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OD6nr4.html" rel="bookmark" class="title">第13-17章</a>
					<div>
						第十三章 软件测试 软件测试能把所有Bug找出来吗,那些新出现的Bug是软件更新才出现的吧? 第十四章 质量保障 软件=程序+软件工程 软件(质量)=程序(质量)+软件工程(质量) 第十五章 稳定和发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M65JLZ4.html" rel="bookmark" class="title">ORM体验之旅</a>
					<div>
						最近查阅资料学习了两个比较实用的ORM框架,好东西与大家一起分享了. O/RM的设计: 这是一张描述描述数据库访问的通用组件模型,通过ORM中的数据库访问组件来实现数据库的访问,通过定义统一接口访问数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/022RW20.html" rel="bookmark" class="title">Redis 配置详解</a>
					<div>
						Redis configuration file example # Redis configuration file example # Note on units: when memory siz ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoLNmk0.html" rel="bookmark" class="title">JPA环境的配置</a>
					<div>
						1.首先导入jar包放入lib目录下: hibernate3.jar lib\jpa\hibernate-jpa-2.0-api-1.0.0.Final.jar lib\required\antlr- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qRLy54.html" rel="bookmark" class="title">css-绝对居中的几种方式</a>
					<div>
						1 .parent{ 2 width:500px; 3 height:500px; 4 background:green; 5 position:relative; 6 } 7 .children{  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzBwGlM.html" rel="bookmark" class="title">Codeforces Round &num;291 &lpar;Div&period; 2&rpar; C - Watto and Mechanism 字符串</a>
					<div>
						[题意]给n个字符串组成的集合,然后有m个询问(0 ≤ n ≤ 3·105, 0 ≤ m ≤ 3·105) ,每个询问都给出一个字符串s,问集合中是否存在一个字符串t,使得s和t长度相同,并且仅有一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPeBXP0.html" rel="bookmark" class="title">裁判借助VR之力！误判率能降到最小</a>
					<div>
						裁判在竞技体育中起到举足轻重的作用,在SBFPLAY胜博发直播竞技体育上双方精彩对抗的同时,裁判起到的作用自然不言而喻.对于集体运动来说,运动员会为了团队的胜利不遗余力的拼搏奋斗,在某些关键时刻甚至可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k6yzPM.html" rel="bookmark" class="title">朝建商城专业服务品质保障</a>
					<div>
						商城购物方便了各类爱逛街人群,难得休息,很多人群都不想出去,就想在家休息一下或者旅游一下,出去逛街觉得疲劳,还未必会买到自己喜欢的,而且还要对着一件东西从那么老远的地方讲价,讨价还加,累煞人也,自从有 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
